<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.getGroupFromUrl()}
            <h1>#{messages['gazelle.svs.GroupSVS']}</h1>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.svs.Group']}</ui:define>

                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                        <h:outputText value="#{valueSetManagerSVS.selectedGroup.iD}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                        <h:outputText value="#{valueSetManagerSVS.selectedGroup.displayName}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.svs.SourceOrganization']}</ui:define>
                        <h:outputText value="#{valueSetManagerSVS.selectedGroup.sourceOrganization}"/>
                    </s:decorate>
                </dl>

                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.svs.KeywordAssociation']}</ui:define>
                    <rich:dataTable var="kw" value="#{valueSetManagerSVS.selectedGroup.keyword}">
                        <g:column width="170px" label="Keyword">
                            <ui:define name="header">#{messages['gazelle.svs.Keyword']}</ui:define>
                            <h:outputText value="#{kw}"/>
                        </g:column>
                    </rich:dataTable>
                </ui:decorate>


                <s:div id="panelValueSetAssociation" rendered="#{not empty valueSetManagerSVS.selectedGroup.idDB}">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.svs.ValueSetAssociation']}</ui:define>
                        <rich:dataTable value="#{valueSetManagerSVS.selectedGroup.valueSets}" var="vs"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        id="tableValueSetsGroup"
                                        rendered="#{not empty valueSetManagerSVS.selectedGroup.valueSets}" render="ds1">
                            <g:column sortBy="#{vs.id}" sortable="true" filterBy="#{vs.id}" filterEvent="onkeyup"
                                      width="170px" label="OID">
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                <h:outputText value="#{vs.id}"/>
                            </g:column>
                            <g:column sortBy="#{vs.displayName}" sortable="true" filterBy="#{vs.displayName}"
                                      filterEvent="onkeyup" label="displayName">
                                <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                <h:outputText value="#{vs.displayName}"/>
                            </g:column>
                            <g:column>
                                <ui:define name="header">
                                    <h:outputText value="#{messages['users.Action']}"/>
                                    <s:span rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                                        <h:commandLink
                                                title="#{messages['net.ihe.gazelle.svssimulator.DownloadAllValueSetsFromThisGroupAsZip']}"
                                                action="#{valueSetManagerSVS.downloadValueSetsFromGroup()}">
                                            <span class="gzl-icon-download"/>
                                        </h:commandLink>
                                    </s:span>
                                </ui:define>
                                <div class="gzl-never-wrap">
                                    <h:outputLink
                                            title="#{messages['gazelle.svs.MoreDetails']}"
                                            value="#{applicationConfigurationManager.getApplicationUrl()}/browser/valueSet.seam"
                                            target="_blank">
                                        <f:param name="id" value="#{vs.id}"/>
                                        <span class="gzl-icon-search"></span>
                                    </h:outputLink>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="tableValueSetsGroup"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                    </ui:decorate>
                </s:div>

                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['gazelle.svs.EditGroup']}"
                                       styleClass="gzl-btn-blue"
                                       action="#{valueSetManagerSVS.editGroup(valueSetManagerSVS.selectedGroup)}"
                                       rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"/>
                    <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                       styleClass="gzl-btn"
                                       action="/browser/groupBrowser.seam"/>
                </ui:define>

            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>